> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turrisfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Regulatory Actions

> Retrieve regulatory actions for a specific agent

Returns all regulatory actions recorded for a specific agent.


## OpenAPI

````yaml openapi/v1.json GET /v1/agents/{agentId}/regulatory-actions
openapi: 3.0.0
info:
  title: Turris Public API
  description: API for managing insurance compliance data
  version: 1.0.0
  contact: {}
servers:
  - url: https://public.api.live.turrisfi.com
    description: Production
  - url: https://public.api.sandbox.turrisfi.com
    description: Sandbox
security: []
tags: []
paths:
  /v1/agents/{agentId}/regulatory-actions:
    get:
      tags:
        - agents
      operationId: AgentRegulatoryActionsController_getAgentRegulatoryActions_v1
      parameters:
        - name: agentId
          required: true
          in: path
          description: The unique identifier of the agent
          schema:
            type: string
      responses:
        '200':
          description: List of agent regulatory actions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RegulatoryActionResponse'
                  requestId:
                    type: string
                    description: Unique request identifier
                    example: dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8
                  timestamp:
                    type: string
                    description: Response timestamp
                    example: '2025-11-12T20:49:03.293Z'
                required:
                  - data
                  - requestId
                  - timestamp
        '401':
          description: Invalid or missing auth token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: Agent not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    RegulatoryActionResponse:
      type: object
      properties:
        _id:
          type: string
          description: Regulatory action ID
        niprDataSubscriptionId:
          type: string
          description: NIPR data subscription ID
        npn:
          type: string
          description: National Producer Number
        stateCode:
          type: string
          description: Two-letter state code
          example: AL
        actionId:
          type: string
          description: Unique identifier for the regulatory action
        originOfAction:
          type: string
          description: Source/trigger of the regulatory action
        reasonForAction:
          type: string
          description: Specific reason why the action was taken
        disposition:
          type: string
          description: Outcome or decision of the regulatory action
        dateOfAction:
          format: date-time
          type: string
          description: Date when the regulatory action was taken
        effectiveDate:
          format: date-time
          type: string
          description: Date when the regulatory action becomes effective
        enterDate:
          format: date-time
          type: string
          description: Date when the action was entered into the system
        fileRef:
          type: string
          description: Reference number for associated documentation
        penaltyFineForfeitureInUSD:
          type: number
          description: Monetary penalty amount in US dollars
          default: 0
        lengthOfOrderInDays:
          type: number
          description: Duration of the order in days
          default: 0
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp
      required:
        - niprDataSubscriptionId
        - npn
        - stateCode
        - actionId
        - penaltyFineForfeitureInUSD
        - lengthOfOrderInDays
    ErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
        requestId:
          type: string
          description: Unique request identifier for debugging
        errorType:
          type: string
          description: Error type classification
        errorMessage:
          description: Array of error messages
          type: array
          items:
            type: string
        timestamp:
          type: string
          description: ISO timestamp when the error occurred
        details:
          type: object
          description: Additional error context
      required:
        - statusCode
        - requestId
        - errorType
        - errorMessage
        - timestamp

````